The number of items in circular pattern feature are stored as model parameters. The Count method of CircularPatternFeature has a property value, setting this value actually modifies the corresponding model feature.
Public Sub ChangeNumberOfFeatures()
' check if the document is a Part Document
If m_inventorApplication.ActiveDocumentType _
<> DocumentTypeEnum.kPartDocumentObject Then Exit Sub
Dim part As PartDocument = _
m_inventorApplication.ActiveDocument
Try
' Change the number of features in the pattern.
part.ComponentDefinition.Features. _
CircularPatternFeatures(1).Count.Value = 8
' update Inventor
m_inventorApplication.ActiveDocument.Update()
Catch ex As SystemException
' Add a Circular Pattern Feature
End Try
End Sub